using JSMR.Infrastructure.Data;
using JSMR.Tests.Fixtures;

namespace JSMR.Tests.Data.Repositories.VoiceWorks;

public abstract class VoiceWorkRepositoryTests(MariaDbContainerFixture container)
{
    protected async Task<AppDbContext> GetAppDbContextAsync()
    {
        return await MariaDbClone.CloneFromTemplateAsync(
            container.RootConnectionString,
            container.TemplateDbName,
            seed: VoiceWorkRepositorySeedData.SeedAsync);
    }
}